PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PReadWriteMutex::Nest Struct Reference

`#include <syncthrd.h>`

## Public Member Functions
| Nest ()

## Public Attributes
unsigned | m_readerCount
unsigned | m_writerCount
bool | m_waiting

## Constructor & Destructor Documentation

PReadWriteMutex::Nest::Nest | ( |  | ) |
| inline

## Member Data Documentation

unsigned PReadWriteMutex::Nest::m_readerCount

bool PReadWriteMutex::Nest::m_waiting

unsigned PReadWriteMutex::Nest::m_writerCount

The documentation for this struct was generated from the following file:

- syncthrd.h